-----------------------------------------------------------------------------------------------------------
--[[
	NaW - Löve Configuration File
    Copyright (C) 2011.
	Written by Roland Yonaba - E-mail: roland[dot]yonaba[at]gmail[dot]com
	NaW is a basic Real Time Strategy written in pure Lua using Löve2d.
--]]
-----------------------------------------------------------------------------------------------------------

function love.conf(t)
    t.modules.joystick = false               -- Enable the joystick module (boolean)
    t.modules.audio = true                   -- Enable the audio module (boolean)
    t.modules.keyboard = true                -- Enable the keyboard module (boolean)
    t.modules.event = true                   -- Enable the event module (boolean)
    t.modules.image = true                   -- Enable the image module (boolean)
    t.modules.graphics = true                -- Enable the graphics module (boolean)
    t.modules.timer = true                   -- Enable the timer module (boolean)
    t.modules.mouse = true                   -- Enable the mouse module (boolean)
    t.modules.sound = true                   -- Enable the sound module (boolean)
    t.modules.physics = false                -- Enable the physics module (boolean)
    t.console = true                         -- Attach a console (boolean, Windows only)
    t.title = "Basic RTS : Codename NaW "    -- The title of the window the game is in (string)
    t.author = "Roland_Yonaba"               -- The author of the game (string)
    t.screen.fullscreen = false              -- Enable fullscreen (boolean)
    t.screen.vsync = false                   -- Enable vertical sync (boolean)
    t.screen.width = 800                     -- The window width (number)
    t.screen.height = 600                    -- The window height (number)
    t.version = 072                          -- The LÖVE version this game was made for (number)
end

