local pairs = pairs

return { loadAllUnits = function (path)
	local images = {}
	local Types = love.filesystem.enumerate(path)
		for i,Folder in pairs(Types) do
		images[Folder] = {}
		local sPath = path..Folder..'/'
		local States = love.filesystem.enumerate(sPath)
			for _i,state in pairs(States) do
			images[Folder][state] = {}		
			local sPath = path..Folder..'/'..state..'/'
			local l = love.filesystem.enumerate(sPath)
		
				for k = 1,#l do 
				local FileName = l[k]:gsub('.png','')
				local sub = tonumber(FileName:sub(1,1))
				local i = tonumber(FileName:sub(2,2))
				images[Folder][state][sub] = {}
					for im = 1,i do
					images[Folder][state][sub][im] = love.graphics.newImage(sPath..'/'..sub..im..'.png')
					end
				end
			end
		end
	return images	
end}